Package: org.codehaus.groovy.classgen

## [Java] Class GeneratorContext

- org.codehaus.groovy.classgen.GeneratorContext

- A context shared across generations of a class and its inner classes

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratorContext (CompileUnit compileUnit)`
    `GeneratorContext (CompileUnit compileUnit, int innerClassOffset)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `CompileUnit` | `getCompileUnit()`
    `String` | `getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`
    `int` | `getNextInnerClassIdx()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GeneratorContext(CompileUnit compileUnit)

    - #### public GeneratorContext(CompileUnit compileUnit, int innerClassOffset)

  - ### Method Detail

    - #### public CompileUnit getCompileUnit()

    - #### public String getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)

    - #### public int getNextInnerClassIdx()